Commit d3b1548a authored by Paul E. McKenney's avatar Paul E. McKenney

rcutorture: Rename kvm-test-1-rcu.sh

The kvm-test-1-rcu.sh is not specific to RCU, so this commit renames it
to kvm-test-1-run.sh.
Signed-off-by: default avatarPaul E. McKenney <paulmck@linux.vnet.ibm.com>
Reviewed-by: default avatarJosh Triplett <josh@joshtriplett.org>
parent a5afdeb1
...@@ -6,13 +6,13 @@ ...@@ -6,13 +6,13 @@
# Execute this in the source tree. Do not run it as a background task # Execute this in the source tree. Do not run it as a background task
# because qemu does not seem to like that much. # because qemu does not seem to like that much.
# #
# Usage: sh kvm-test-1-rcu.sh config builddir resdir minutes qemu-args boot_args # Usage: sh kvm-test-1-run.sh config builddir resdir minutes qemu-args boot_args
# #
# qemu-args defaults to "" -- you will want "-nographic" if running headless. # qemu-args defaults to "-nographic", along with arguments specifying the
# boot_args defaults to "root=/dev/sda noapic selinux=0 console=ttyS0" # number of CPUs and other options generated from
# "initcall_debug debug rcutorture.stat_interval=15" # the underlying CPU architecture.
# "rcutorture.shutdown_secs=$((minutes * 60))" # boot_args defaults to value returned by the per_version_boot_params
# "rcutorture.rcutorture_runnable=1" # shell function.
# #
# Anything you specify for either qemu-args or boot_args is appended to # Anything you specify for either qemu-args or boot_args is appended to
# the default values. The "-smp" value is deduced from the contents of # the default values. The "-smp" value is deduced from the contents of
...@@ -40,7 +40,7 @@ ...@@ -40,7 +40,7 @@
grace=120 grace=120
T=/tmp/kvm-test-1-rcu.sh.$$ T=/tmp/kvm-test-1-run.sh.$$
trap 'rm -rf $T' 0 trap 'rm -rf $T' 0
. $KVM/bin/functions.sh . $KVM/bin/functions.sh
...@@ -52,13 +52,13 @@ title=`echo $config_template | sed -e 's/^.*\///'` ...@@ -52,13 +52,13 @@ title=`echo $config_template | sed -e 's/^.*\///'`
builddir=${2} builddir=${2}
if test -z "$builddir" -o ! -d "$builddir" -o ! -w "$builddir" if test -z "$builddir" -o ! -d "$builddir" -o ! -w "$builddir"
then then
echo "kvm-test-1-rcu.sh :$builddir: Not a writable directory, cannot build into it" echo "kvm-test-1-run.sh :$builddir: Not a writable directory, cannot build into it"
exit 1 exit 1
fi fi
resdir=${3} resdir=${3}
if test -z "$resdir" -o ! -d "$resdir" -o ! -w "$resdir" if test -z "$resdir" -o ! -d "$resdir" -o ! -w "$resdir"
then then
echo "kvm-test-1-rcu.sh :$resdir: Not a writable directory, cannot store results into it" echo "kvm-test-1-run.sh :$resdir: Not a writable directory, cannot store results into it"
exit 1 exit 1
fi fi
cp $config_template $resdir/ConfigFragment cp $config_template $resdir/ConfigFragment
......
...@@ -307,7 +307,7 @@ function dump(first, pastlast) ...@@ -307,7 +307,7 @@ function dump(first, pastlast)
print "touch " builddir ".wait"; print "touch " builddir ".wait";
print "mkdir " builddir " > /dev/null 2>&1 || :"; print "mkdir " builddir " > /dev/null 2>&1 || :";
print "mkdir " rd cfr[jn] " || :"; print "mkdir " rd cfr[jn] " || :";
print "kvm-test-1-rcu.sh " CONFIGDIR cf[j], builddir, rd cfr[jn], dur " \"" RCU_QEMU_ARG "\" \"" RCU_BOOTARGS "\" > " builddir ".out 2>&1 &" print "kvm-test-1-run.sh " CONFIGDIR cf[j], builddir, rd cfr[jn], dur " \"" RCU_QEMU_ARG "\" \"" RCU_BOOTARGS "\" > " builddir ".out 2>&1 &"
print "echo ", cfr[jn], cpusr[jn] ovf ": Waiting for build to complete. `date`" print "echo ", cfr[jn], cpusr[jn] ovf ": Waiting for build to complete. `date`"
print "while test -f " builddir ".wait" print "while test -f " builddir ".wait"
print "do" print "do"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment